﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Chart;
using System.Globalization;
using System.Diagnostics;
using System.ComponentModel;
using Syncfusion.Windows.Shared;

namespace CustomTrendlines
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        ChartSeries draggedseries;
        bool _doingDrag = false;
        double x1;
        double y1;
        double x2;
        double y2;
        public Window1()
        {
            InitializeComponent();

            foreach (ChartArea area in chart1.Areas)
            {
                area.ZoomAllAxes = false;
                area.PrimaryAxis.EnableZooming = false;
                area.SecondaryAxis.EnableZooming = false;
                area.Series[0].IsZoomable = false;

                ChartAreaCommands.SwitchZooming.Execute(null, chart1.Areas[0]);
                ChartZoomingToolkit.SetZoomingToolkitVisibility(area, Visibility.Collapsed);

                foreach (ChartSeries series in area.Series)
                {
                    series.MouseLeftButtonDown += new ChartMouseEventHandler(series_MouseLeftButtonDown);
                    series.MouseLeftButtonUp += new ChartMouseEventHandler(series_MouseLeftButtonUp);
                }
            }
            chart1.MouseLeftButtonUp += new MouseButtonEventHandler(chart1_MouseLeftButtonUp);
        }

        void chart1_MouseLeftButtonUp(object sender, MouseButtonEventArgs e)
        {
            Line ll = new Line();
            ll.X1 = x1;
            ll.Y1 = y1;
            ll.X2 = x2;
            ll.Y2 = y2;
            ll.Stroke = Brushes.Red;
            ll.StrokeThickness = 3;
            MyCanvas.Children.Add(ll);
        }


        private void series_MouseLeftButtonDown(object sender, ChartMouseEventArgs args)
        {
            draggedseries = (ChartSeries)sender;
            if (draggedseries != null)
                _doingDrag = true;
        }

        private void series_MouseLeftButtonUp(object sender, ChartMouseEventArgs args)
        {
            if (_doingDrag == false)
                return;
            _doingDrag = false;
        }



        private void ChartArea_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            ChartArea area = (ChartArea)sender;
            Point pt = e.GetPosition((UIElement)sender);

            x1 = pt.X;
            y1 = pt.Y;
        }

        private void ChartArea_MouseLeftButtonUp(object sender, MouseButtonEventArgs e)
        {
            ChartArea area = (ChartArea)sender;
            Point pt = e.GetPosition((UIElement)sender);

            x2 = pt.X;
            y2 = pt.Y;

        }
    }
}
